Cassandra.AsyncProcessor.multiget_count (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.thrift

## Class Cassandra.AsyncProcessor.multiget_count<I extends Cassandra.AsyncIface>

- java.lang.Object
- - org.apache.thrift.AsyncProcessFunction<I,Cassandra.multiget_count_args,java.util.Map<java.nio.ByteBuffer,java.lang.Integer>>
  - - org.apache.cassandra.thrift.Cassandra.AsyncProcessor.multiget_count<I>

- Enclosing class:
    Cassandra.AsyncProcessor<I extends Cassandra.AsyncIface>

      public static class Cassandra.AsyncProcessor.multiget_count<I extends Cassandra.AsyncIface>
      extends org.apache.thrift.AsyncProcessFunction<I,Cassandra.multiget_count_args,java.util.Map<java.nio.ByteBuffer,java.lang.Integer>>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `multiget_count()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Cassandra.multiget_count_args` | `getEmptyArgsInstance()`
    `org.apache.thrift.async.AsyncMethodCallback<java.util.Map<java.nio.ByteBuffer,java.lang.Integer>>` | `getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)`
    `protected boolean` | `isOneway()`
    `void` | `start(I iface, Cassandra.multiget_count_args args, org.apache.thrift.async.AsyncMethodCallback<java.util.Map<java.nio.ByteBuffer,java.lang.Integer>> resultHandler)`

    - ### Methods inherited from class org.apache.thrift.AsyncProcessFunction

      `getMethodName, sendResponse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### multiget_count

          public multiget_count()

  - ### Method Detail

    - #### getEmptyArgsInstance

          public Cassandra.multiget_count_args getEmptyArgsInstance()

      Specified by:
        `getEmptyArgsInstance` in class `org.apache.thrift.AsyncProcessFunction<I extends Cassandra.AsyncIface,Cassandra.multiget_count_args,java.util.Map<java.nio.ByteBuffer,java.lang.Integer>>`

    - #### getResultHandler

          public org.apache.thrift.async.AsyncMethodCallback<java.util.Map<java.nio.ByteBuffer,java.lang.Integer>> getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb,
                                                                                                                                    int seqid)

      Specified by:
        `getResultHandler` in class `org.apache.thrift.AsyncProcessFunction<I extends Cassandra.AsyncIface,Cassandra.multiget_count_args,java.util.Map<java.nio.ByteBuffer,java.lang.Integer>>`

    - #### isOneway

          protected boolean isOneway()

      Specified by:
        `isOneway` in class `org.apache.thrift.AsyncProcessFunction<I extends Cassandra.AsyncIface,Cassandra.multiget_count_args,java.util.Map<java.nio.ByteBuffer,java.lang.Integer>>`

    - #### start

          public void start(I iface,
                            Cassandra.multiget_count_args args,
                            org.apache.thrift.async.AsyncMethodCallback<java.util.Map<java.nio.ByteBuffer,java.lang.Integer>> resultHandler)
                     throws org.apache.thrift.TException

      Specified by:
        `start` in class `org.apache.thrift.AsyncProcessFunction<I extends Cassandra.AsyncIface,Cassandra.multiget_count_args,java.util.Map<java.nio.ByteBuffer,java.lang.Integer>>`
      Throws:
        `org.apache.thrift.TException`

Copyright © 2018 The Apache Software Foundation